/[gentoo-x86]/sys-auth/polkit/ChangeLog
Gentoo

Diff of /sys-auth/polkit/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.89 Revision 1.124
1# ChangeLog for sys-auth/polkit 1# ChangeLog for sys-auth/polkit
2# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/sys-auth/polkit/ChangeLog,v 1.89 2012/06/27 10:06:14 ssuominen Exp $ 3# $Header: /var/cvsroot/gentoo-x86/sys-auth/polkit/ChangeLog,v 1.124 2013/01/01 09:04:19 ago Exp $
4
5 01 Jan 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.109-r1.ebuild:
6 Add ~ia64, wrt bug #436668
7
8 30 Dec 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.107-r1.ebuild:
9 Stable for sparc, wrt bug #436666
10
11 29 Dec 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.107-r1.ebuild:
12 Stable for alpha, wrt bug #436666
13
14 21 Dec 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.108.ebuild,
15 -polkit-0.109.ebuild:
16 old
17
18*polkit-0.109-r1 (21 Dec 2012)
19
20 21 Dec 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.109-r1.ebuild,
21 +files/polkit-0.109-XAUTHORITY-fallback.patch:
22 Backport XAUTHORITY fallback support from upstream git.
23
24 19 Dec 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.108.ebuild:
25 Add ~ia64, wrt bug #436668
26
27*polkit-0.109 (19 Dec 2012)
28
29 19 Dec 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.109.ebuild:
30 Version bump. Fix PaX marking logic wrt #444446 by Maxim Kammerer
31
32 18 Dec 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.107-r1.ebuild:
33 Stable for ia64, wrt bug #436666
34
35 22 Nov 2012; Anthony G. Basile <blueness@gentoo.org> polkit-0.107-r1.ebuild:
36 stable arm, bug #436666
37
38 22 Nov 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.107.ebuild:
39 old
40
41 22 Nov 2012; Anthony G. Basile <blueness@gentoo.org> polkit-0.107-r1.ebuild:
42 stable ppc64, bug #436666
43
44 22 Nov 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.107-r1.ebuild:
45 Stable for x86, tested by Vincent Olivert Riera <peratu@carrosses.com>, wrt
46 bug #436666
47
48 21 Nov 2012; Anthony G. Basile <blueness@gentoo.org> polkit-0.107-r1.ebuild:
49 stable ppc, bug #436666, thanks peratu
50
51 19 Nov 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.108.ebuild:
52 Link against -lgmodule-2.0 to prevent underlinking (backported from upstream,
53 but using sed to avoid eautoreconf) wrt #443798
54
55*polkit-0.108 (18 Nov 2012)
56
57 18 Nov 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.108.ebuild:
58 Version bump.
59
60 28 Oct 2012; Naohiro Aota <naota@gentoo.org> polkit-0.104-r1.ebuild,
61 polkit-0.107-r1.ebuild, polkit-0.107.ebuild:
62 Drop ~x86-fbsd due to bug #439968.
63
64 15 Oct 2012; Jeroen Roovers <jer@gentoo.org> polkit-0.104-r1.ebuild,
65 polkit-0.107-r1.ebuild:
66 Drop HPPA keywording (bug #438368).
67
68 15 Oct 2012; Zac Medico <zmedico@gentoo.org> polkit-0.107-r1.ebuild:
69 Set QA_MULTILIB_PATHS for bug #424423.
70
71 09 Oct 2012; Jeroen Roovers <jer@gentoo.org> polkit-0.107-r1.ebuild:
72 Marked ~hppa (bug #436668).
73
74 08 Oct 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.107-r1.ebuild:
75 Use pax-mark in src_compile() instead of src_install() for src_test() wrt
76 #423927 by "kensington" and "Nikoli". Punt bogus RESTRICT for multilib-strict
77 and emphatize it's an Portage issue instead of polkit issue in src_install()
78 message.
79
80 07 Oct 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.107-r1.ebuild:
81 Stable for amd64, wrt bug #436666
82
83*polkit-0.107-r1 (20 Sep 2012)
84
85 20 Sep 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.107-r1.ebuild,
86 +files/polkit-0.107-fallback.patch:
87 Introduce upstream patch for falling back to uid 0 for authentication if list
88 of admin identities is empty.
89
90 13 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.105.ebuild,
91 -polkit-0.106-r7.ebuild:
92 old
93
94*polkit-0.107 (13 Jul 2012)
95
96 13 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.107.ebuild:
97 Version bump.
98
99 07 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.106-r5.ebuild,
100 -polkit-0.106-r6.ebuild:
101 old
102
103 07 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106-r7.ebuild:
104 Remove USE="debug" because --enable/--disable-verbose-mode is no-op wrt
105 #391865 by Maksim Melnikau
106
107*polkit-0.106-r7 (02 Jul 2012)
108
109 02 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r7.ebuild:
110 RESTRICT="multilib-strict" since it's not compatible with the whole
111 /usr/libexec -> /usr/lib/$package migration wrt #424423. This will move
112 polkit-agent-helper-1 and polkitd back to /usr/lib/polkit-1.
113
114*polkit-0.106-r6 (01 Jul 2012)
115
116 01 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r6.ebuild:
117 Fix hardcoded path to "lib" in polkitagentsession.c for systems without the
118 /usr/lib to /usr/lib64 symlink.
119
120 30 Jun 2012; <swift@gentoo.org> polkit-0.104-r1.ebuild, polkit-0.105.ebuild,
121 polkit-0.106-r5.ebuild:
122 Adding dependency on SELinux policykit module if USE=selinux is set
123
124 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106-r5.ebuild:
125 pax-mark polkitd only when spidermonkey is built with JIT enabled and only
126 'm' instead of 'mr' when version is >= 1.8.7 (by using has_version check)
127
128 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.106-r2.ebuild,
129 -polkit-0.106-r3.ebuild, -polkit-0.106-r4.ebuild:
130 old
131
132*polkit-0.106-r5 (27 Jun 2012)
133
134 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r5.ebuild:
135 Revert entire unix-group:wheel experiment back to unix-user:0 because
136 PolicyKit agent(s) don't behave correctly with it wrt #423733 by Travis
137 Hansen. Revert system-local-login to system-auth for PAM errors wrt #423487
138 by Doug Goldstein.
4 139
5*polkit-0.106-r4 (27 Jun 2012) 140*polkit-0.106-r4 (27 Jun 2012)
6 141
7 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r4.ebuild: 142 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r4.ebuild:
8 Stop installing polkit-backend-1.pc because upstream changed 143 Stop installing polkit-backend-1.pc because upstream changed
333 29 Oct 2009; Gilles Dartiguelongue <eva@gentoo.org> 468 29 Oct 2009; Gilles Dartiguelongue <eva@gentoo.org>
334 +files/polkit-0.92-zsh-completions.patch, 469 +files/polkit-0.92-zsh-completions.patch,
335 +files/polkit-0.93-fix-daemon-name.patch, +polkit-0.94.ebuild, 470 +files/polkit-0.93-fix-daemon-name.patch, +polkit-0.94.ebuild,
336 +metadata.xml: 471 +metadata.xml:
337 Initial ebuild for GNOME 2.28. 472 Initial ebuild for GNOME 2.28.
338

Legend:
Removed from v.1.89  
changed lines
  Added in v.1.124

  ViewVC Help
Powered by ViewVC 1.1.20